Subject: Re: [PATCH V4 5/5] arch/powerpc/mm/hugetlb: NestMMU workaround for hugetlb mprotect RW upgrade

From: "Aneesh Kumar K.V" <[email-masked]>
Date: Wed, 19 Dec 2018 08:50:57 +0530

Christoph Hellwig <[email-masked]> writes:

> On Tue, Dec 18, 2018 at 03:11:37PM +0530, Aneesh Kumar K.V wrote:
>> +EXPORT_SYMBOL(huge_ptep_modify_prot_start);
>
> The only user of this function is the one you added in the last patch
> in mm/hugetlb.c, so there is no need to export this function.
>
>> +
>> +void huge_ptep_modify_prot_commit(struct vm_area_struct *vma, unsigned long addr,
>> +				  pte_t *ptep, pte_t old_pte, pte_t pte)
>> +{
>> +
>> +	if (radix_enabled())
>> +		return radix__huge_ptep_modify_prot_commit(vma, addr, ptep,
>> +							   old_pte, pte);
>> +	set_huge_pte_at(vma->vm_mm, addr, ptep, pte);
>> +}
>> +EXPORT_SYMBOL(huge_ptep_modify_prot_commit);
>
> Same here.

That was done considering that ptep_modify_prot_start/commit was defined
in asm-generic/pgtable.h. I was trying to make sure I didn't break
anything with the patch. Also s390 do have that EXPORT_SYMBOL() for the
same. hugetlb just inherited that.

If you feel strongly about it, I can drop the EXPORT_SYMBOL().

-aneesh